IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Seasons

Season definitions. Useful for making re-usable pricing definitions

The season object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this season is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

nameMultiLanguageString

Localized name

valueSeasonExpression | null

List of intervals defining the season

The season object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:27:42.573Z",
  "updated_at": "2026-03-12T05:27:42.573Z",
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "value": {
    "intervals": [
      {
        "max": {
          "day": 31,
          "month": 11
        },
        "min": {
          "day": 1,
          "month": 0
        }
      }
    ],
    "type": "recurring-date-range"
  }
}

List seasons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this season is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

nameFilter<MultiLanguageString>

Localized name

valueFilter<SeasonExpression | null>

List of intervals defining the season

Responses

200

A list of seasons with the selected columns

206

Partial Content

GET /seasons
curl -X GET "https://api.bookingmood.com/v1/seasons?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create seasons

Body

Partial<Season> | Array<Partial<Season>>

Responses

201

The newly created seasons with the selected columns

POST /seasons
curl -X POST "https://api.bookingmood.com/v1/seasons" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete seasons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this season is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

nameFilter<MultiLanguageString>

Localized name

valueFilter<SeasonExpression | null>

List of intervals defining the season

Responses

204

The deleted seasons with the selected columns

DELETE /seasons
curl -X DELETE "https://api.bookingmood.com/v1/seasons" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update seasons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this season is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

nameFilter<MultiLanguageString>

Localized name

valueFilter<SeasonExpression | null>

List of intervals defining the season

Body

Partial<Season>

Responses

204

The updated seasons with the selected columns

PATCH /seasons
curl -X PATCH "https://api.bookingmood.com/v1/seasons" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'